Name:		thinkfan
Version:	0.8.1
Release:	1%{?dist}
Summary:	A simple fan control program

Group:		Applications/System
License:	GPLv3
URL:		http://thinkfan.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:    thinkfan.modprobe

BuildRequires:	systemd-units
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

%description
A simple fan control program.  Works with any Linux hwmon driver,
especially with thinkpad_acpi.  It is designed to eat as little
CPU power as possible.


%prep
%setup -q

# Make man page documentation UTF-8
iconv -f ISO-8859-1 -t UTF-8 thinkfan.1 > thinkfan.1

%build
CFLAGS="-ggdb" make %{?_smp_mflags}


%install
# Install unit file
install -d $RPM_BUILD_ROOT%{_unitdir}
install -pm 0644 rcscripts/thinkfan.service $RPM_BUILD_ROOT%{_unitdir}

# Install configuration file
install -d $RPM_BUILD_ROOT%{_sysconfdir}/thinkfan
install -pm 0644 examples/thinkfan.conf.thinkpad $RPM_BUILD_ROOT%{_sysconfdir}/thinkfan/thinkfan.conf

# Install modprobe configuration file
install -d $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d
install -pm 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/thinkfan.conf

# Install thinkfan daemon
install -d $RPM_BUILD_ROOT%{_sbindir}
install -pm 0755 thinkfan $RPM_BUILD_ROOT%{_sbindir}

# Install manpages
install -d $RPM_BUILD_ROOT%{_mandir}/man1
install -pm 0644 thinkfan.1 $RPM_BUILD_ROOT%{_mandir}/man1

%post
%systemd_post thinkfan.service

%preun
%systemd_preun thinkfan.service

%postun
%systemd_postun_with_restart thinkfan.service


%files
%{_sbindir}/thinkfan
%{_unitdir}/thinkfan.service
%dir %{_sysconfdir}/thinkfan
%config(noreplace) %{_sysconfdir}/thinkfan/thinkfan.conf
%config(noreplace) %{_sysconfdir}/modprobe.d/thinkfan.conf
%{_mandir}/man1/thinkfan.1.gz
%doc examples ChangeLog README NEWS COPYING



%changelog
* Sat Sep 29 2012 Matt Spaulding <mspaulding06@gmail.com> - 0.8.1-1
- Initial packaging

